Announcement

Collapse
No announcement yet.

Unreal Engine 4.25 and Windows 7 compatibility

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Unreal Engine 4.25 and Windows 7 compatibility

    Greetings.

    After updating to 4.25 some of my colleagues noticed that ue4 runs with errors. The same reports can be found in 4.25 topic.

    DXGI is API that is available only in Windows 8.1+. Does that mean that Windows 7 is not supported as a minimum required OS for development?


    Click image for larger version

Name:	photo_20200507_215154.jpg
Views:	779
Size:	75.0 KB
ID:	1758470
    Twitter | MinimalUI UE4 Editor Theme
    Dark Themes for: Forum | AnswerHub | Everything else

    #2
    I believe the Windows 7 is still supported as stated here https://docs.unrealengine.com/en-US/...ons/index.html . Could it be that their machines don't have the Windows 8 SDK installed?

    Comment


      #3
      so i dunno tell people that you need that sdk and make it part of a chekc on install gee that was hard

      Comment


        #4
        There is no Windows 8 SDK in the latest Visual Studio setup. Just the 10 one. And it's installed.
        Still doubt it's related. The Entry Point in DLL is a hook for Windows Store.
        Twitter | MinimalUI UE4 Editor Theme
        Dark Themes for: Forum | AnswerHub | Everything else

        Comment


          #5
          Originally posted by S-ed View Post
          There is no Windows 8 SDK in the latest Visual Studio setup. Just the 10 one. And it's installed.
          Still doubt it's related. The Entry Point in DLL is a hook for Windows Store.
          Are you still experiencing these issues? Was it an SDK problem? Not even cooked Windows 7 builds works anymore on a fully patched machine with UE4 Redist installed
          Cepheus Protocol
          recruitment@halcyonwinds.com

          Comment


            #6
            Anyone got some info on this?
            Since upgrading to 4.25 all Windows 7 users get this message.
            Code:
            The procedural entry point CreateDXGIFactory2 is not found in the dynamics links library dxgi.dll

            Comment


              #7
              Since a lot of search engine users end up here, I'll add some more info.
              This thread on the Answerhub contains more information: https://answers.unrealengine.com/que...4896/view.html

              Basically, in 4.25 Epic (presumably by accident) started using the CreateDXGIFactory2 API (along with other DXGI functionality) that is only available in Windows 8.1 and newer. From what I understand, the issue has been reverted in the git repository on June 2nd but they appear to wait releasing the fix.

              If you need Windows 7 support right now either:
              • Stick with 4.24 until 4.25.2 (not sure if it comes/fixes the issue) or 4.26 comes out.
              • Compile the engine from source.

              Comment

              Working...
              X